ImageMap (BioJava-1.5-beta API)
Keywords: org.biojava.bio.gui.sequence.ImageMap interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.gui.sequence
Interface ImageMap

All Known Implementing Classes:
  ImageMap.ClientSide, ImageMap.ServerSide

    public interface ImageMap

`ImageMap` represents a collection of image map hotspots. It does not represent the raster image itself.

Since:
  1.3
Author:
  Keith James, Greg Cox

Nested Class Summary
`static class` | `ImageMap.ClientSide` `ClientSide` represents a client-side style image map.
`static class` | `ImageMap.HotSpot` `HotSpot`s represent an image map hotspot.
`static class` | `ImageMap.ServerSide` `ServerSide` represents a server-side style image map.

Field Summary
`static String` | `CIRCLE` `CIRCLE` indicates a circular image map hotspot.
`static String` | `POLY` `POLY` indicates a polygonal image map hotspot.
`static String` | `RECT` `RECT` indicates a rectangular image map hotspot.

Method Summary
`void` | `addHotSpot(ImageMap.HotSpot hotSpot)` `addHotSpot` adds a hotspot to the map.
`Iterator` | `hotSpots()` `hotSpots` iterates over the hotspots in the map

Field Detail

### RECT

    static final String RECT

  `RECT` indicates a rectangular image map hotspot.

  See Also:
    Constant Field Values

### CIRCLE

    static final String CIRCLE

  `CIRCLE` indicates a circular image map hotspot.

  See Also:
    Constant Field Values

### POLY

    static final String POLY

  `POLY` indicates a polygonal image map hotspot.

  See Also:
    Constant Field Values

Method Detail

### addHotSpot

    void addHotSpot(ImageMap.HotSpot hotSpot)

  `addHotSpot` adds a hotspot to the map.

  Parameters:
    `hotSpot` - a `HotSpot`.

### hotSpots

    Iterator hotSpots()

  `hotSpots` iterates over the hotspots in the map

  Returns:
    an `Iterator`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD